Package Details: pdfstudio 19.1.4-1

Git Clone URL: https://aur.archlinux.org/pdfstudio.git (read-only, click to copy)
Package Base: pdfstudio
Description: Review, annotate, and edit PDF Documents
Upstream URL: http://www.qoppa.com/pdfstudio/
Licenses: custom
Conflicts: pdfstudio10, pdfstudio11, pdfstudio12, pdfstudio18, pdfstudio8, pdfstudio9
Provides: pdfstudio
Submitter: flamusdiu
Maintainer: flamusdiu
Last Packager: flamusdiu
Votes: 27
Popularity: 0.89
First Submitted: 2014-07-10 13:10
Last Updated: 2019-10-20 18:53

Pinned Comments

flamusdiu commented on 2019-06-04 20:59

Added v18 package: https://aur.archlinux.org/packages/pdfstudio18/

Anonymo commented on 2018-06-12 16:37

If anyone has java heap size error when doing OCR, check this: https://kbpdfstudio.qoppa.com/allocate-more-memory-to-pdf-studio/

Adding export _JAVA_OPTIONS='-Dsun.java2d.opengl=true'

to /etc/profile.d/jre.sh makes the PDFs load so much faster.

checksum errors: Check for recent updates to the program in changelog: https://kbpdfstudio.qoppa.com/pdf-studio-2019-change-log/

Latest Comments

1 2 3 4 5 6 ... Next › Last »

Anonymo commented on 2019-12-06 19:05

http://www.mediafire.com/file/k3kwi7l0boi85yr/pdfstudio-19.2.0-1-x86_64.pkg.tar.xz/file

baatochan commented on 2019-12-03 11:54

As for today (2019-12-03) you need to edit the PKGBUILD line sha256sums_x86_64 to sha256sums_x86_64=('4c78ead39e30ec72694318ee085945515473c317032ece076a4fc0daa3265ef2').

(for x64 package, don't know the 32bit package sum)

FXOjafar commented on 2019-12-03 05:21

Hi. The latest version 19.1.4-1 fails validity check.

:: Parsing SRCINFO (1/1): pdfstudio
==> Making package: pdfstudio 19.1.4-1 (Tue 03 Dec 2019 13:19:17 AWST)
==> Retrieving sources...
-> Found pdfstudio.desktop
-> Found pdfstudio.install
-> Found pdfstudio.png
-> Found PDFStudio_linux64.deb
==> Validating source files with sha256sums...
pdfstudio.desktop ... Passed
pdfstudio.install ... Passed
pdfstudio.png ... Passed
==> Validating source_x86_64 files with sha256sums...
PDFStudio_linux64.deb ... FAILED
==> ERROR: One or more files did not pass the validity check!
Error downloading sources: pdfstudio

dhux commented on 2019-06-11 02:33

FYI, I changed my java environment to 8 from 10 (archlinux-java set java-8-openjdk) and the program works as it should.

Thanks for maintaining this program. I use this every day at work. Much appreciated!

flamusdiu commented on 2019-06-05 15:49

hmm, I'll have to try and build it with java engine shipped with it. I strip it out so it uses the one installed but that might not been wise in the current versions.

Anonymo commented on 2019-06-05 14:04

@dhux @wolfyrion Try disabling

export _JAVA_OPTIONS='-Dsun.java2d.opengl=true' in /etc/profile.d/jre.sh

I think it's a java issue

dhux commented on 2019-06-05 13:51

I'm seeing the same issue with V19 as wolfyrion with the invisible menus until rolling the mouse over them.

wolfyrion commented on 2019-06-05 08:21

Thanks for v19 but it seems to be buggy on my pc. Whenever I click on menus, menus dont appear and I have to roll over my mouse in order to show the menus.

flamusdiu commented on 2019-06-04 20:59

Added v18 package: https://aur.archlinux.org/packages/pdfstudio18/

flamusdiu commented on 2019-06-04 17:38

@Anonmyo: FFS, let me update a few things and put up a v19 package. I just realized they jumped the version again after you posted the sums.